Subject: Re: bug#34070: 27.0.50; icomplete-mode candidate cycling broken for C-x C-f

From: João Távora <[email-masked]>
Date: Thu, 17 Jan 2019 15:55:27 +0000

On Thu, Jan 17, 2019 at 3:46 PM Drew Adams <[email-masked]> wrote:

> I think you're right that the intention of my patch was
> just to respect `completion-ignored-extensions'.  That was
> the "new" behavior to be introduced, and not silently.

Right. That was the "declared" new behaviour (for your definition
of "new").  But there was some "undeclared", undiscussed
new behaviour: that was my point.

> (Note too that you are adding to this bug, which was
> purportedly about broken cycling. Is this additional
> change necessary to fix the cycling problem, or should
> it be the subject of a new bug report?)

Right. I put emphasis on this myself, so I don't have to
"note" it.  If you believe it should be the subject of a new
bug, go ahead and create it.  I don't think it's worth it.

--
João Távora